#if !COMBAT_SERVER
using UnityEngine;
using Utility;

namespace CombatLibrary.CombatLibrary.CombatCore.AssetLoadTool
{
    public class PathTool : Singleton<PathTool>
    {
        public string platformName;
        public string bundleStreamingAssetsPath;
        public string bundlePersistentAssetsPath;
        public string md5Name="md5File.txt";
        public PathTool()
        {
            platformName = GetPlatformFolderForAssetBundles();
            bundleStreamingAssetsPath = Application.streamingAssetsPath+"/"+platformName;
            bundlePersistentAssetsPath=Application.persistentDataPath+"/"+platformName;
        }
        
        
        public static string GetPlatformFolderForAssetBundles()
        {
            switch (Application.platform)
            {
                case RuntimePlatform.Android:
                    return "Android";
                case RuntimePlatform.IPhonePlayer:
                    return "iOS";
                //case RuntimePlatform.WindowsPlayer:
                case RuntimePlatform.WebGLPlayer:
                    return "WebPlayer";
                case RuntimePlatform.WindowsPlayer:
                    return "Windows";
                case RuntimePlatform.OSXPlayer:
                    return "OSX";

                default:
                    return "Unknown";
            }
        }
    }
}
#endif